#!/bin/bash

set -e

simple_find_host=find-c2
simple_find_compiled=find-comp
find /usr/lib/modules/5.10.0-20-amd64/kernel/ | cut -d'/' -f6- > "$simple_find_host"
find ../kernel-compilation/extracted-image-package/lib/modules/5.10.158-amd64/kernel/ | cut -d'/' -f7- > "$simple_find_compiled"

find_size_host=size-find-c2
find_size_compiled=size-find-comp
find /usr/lib/modules/5.10.0-20-amd64/kernel/ -printf '%p %s\n' | cut -d'/' -f6- > "$find_size_host"
find ../kernel-compilation/extracted-image-package/lib/modules/5.10.158-amd64/kernel/ -printf '%p %s\n' | cut -d'/' -f7- > "$find_size_compiled"

echo "diff simple_find_host simple_find_compiled:"
diff "$simple_find_host" "$simple_find_compiled" | wc
echo
echo "diff find_size_host find_size_compiled:"
diff "$find_size_host" "$find_size_compiled" | wc
