#!/bin/bash

set -e

# get the root of the git repository (requires git to be installed)
GIT_ROOT=`git rev-parse --show-toplevel`
cd ${GIT_ROOT}/uefi-keys/

# generate efi certificates
apt -y install sbsigntool efitools python3

echo -e "Authentification needed if you want to use the already existing private keys or if you want to create new keys and store them."
git clone https://lab.nexedi.com/Ophelie/private-keys
